Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/11602/?format=api
{ "ob_id": 11602, "uuid": "94594949023ea41d47713153ad07d44b", "title": "CRUTEM4.2.0.0-2013-03: Climatic Research Unit (CRU) Gridded Dataset of Global Historical Near-Surface Air TEMperature Anomalies Over Land (version 4.2.0.0 Jan. 1850 - Mar. 2013)", "abstract": "CRUTEM4 is a gridded dataset of global historical near-surface air temperature anomalies over land. \r\n\r\nThis specific version is CRUTEM4.2.0.0-2013-03, available for each month from January 1850 to March 2013, on a 5 degree grid. \r\n\r\nHemispheric and global anomaly series are provided. \r\n\r\nThe dataset is a collaborative product of the Climatic Research Unit at the University of East Anglia and the Met Office Hadley Centre. \r\n\r\nThe CRUTEM4 dataset is updated on a monthly basis; these updates are available from the institutions listed below (see Links).", "keywords": "CRUTEM, Hadley, UEA, CRU", "publicationState": "citable", "dataPublishedTime": "2013-07-19T13:42:44", "doiPublishedTime": "2013-09-19T23:00:00", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/11603/?format=api", "dataPath": "/badc/cru/data/crutem/crutem4/CRUTEM4.2.0.0-2013-03", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 6422146, "numberOfFiles": 9, "fileFormat": "All the data files (ASCII \".dat\" and netcdf \".nc\") are compressed (.gz extension).\r\nTo understand how to read the CRUTEM4.2.0.0-2013-03 data files, please refer to the CRUTEM4.2.0.0-2013-03_File_Format_explained PDF documentation (under Linked Documentation below).\r\n\r\n\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3254/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were prepared by Climate Research Unit group at the University of East Anglia before submission to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/7679/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8339/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/7680/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13164/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12165/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46314/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/40979/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44940/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44942/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/40980/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/40981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/40982/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/40983/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54947/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44941/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168520/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168521/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/12207/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }